package cn.stylefeng.workflow.api;

import cn.stylefeng.workflow.api.entity.design.Node;
import cn.stylefeng.workflow.api.entity.design.NodeEdge;

import java.util.List;

public interface NodeApi {

    Node getNodeInfo(Long nodeId);

    List<Node> getDefinitionNodeList(Long definitionId);

    List<NodeEdge> getDefinitionEdgeList(Long definitionId);

}
